$ arch_name = F$EDIT (F$GETSYI ("ARCH_NAME"), "UPCASE, COLLAPSE")
$!
$ out_name = "icalcv_" + arch_name
$!
$ arch = "HOST"		! or "EV56", "EV6", "ITANIUM2", etc.
$!
$ IF (P1 .EQS. "DEBUG")
$ THEN
$    debug_qual = " /DEBUG "
$    opt_qual   = " /NOOPT /DEFINE = DEBUG"
$ ELSE
$    debug_qual = " /NODEBUG"
$    opt_qual   = " /OPT = (LEVEL = 5, TUNE = ''arch', INLINE = AUTO)"
$ ENDIF
$!
$ CC /ARCH = 'arch' /ASSUME = WHOLE /CHECK = (UNINIT, POINTER = ALL) -
	/INSTR = FLOAT /FLOAT = IEEE /IEEE_MODE = UNDERFLOW_TO_ZERO -
	'debug_qual' 'opt_qual' /PLUS_LIST_OPTIMIZE -
	 /LIST = 'out_name' /CROSS /SHOW = BRIEF -
	 /OBJ = 'out_name /PREFIX = ALL icalcv + g05caf
$!
$ LINK /MAP /CROSS /TRACE 'debug_qual' /DSF 'out_name'
$!
$ EXIT $STATUS
